
From: Pat Gefre <pfg@sgi.com>

Small mod to shut off the xmit interrupt if we have nothing to transmit.

Signed-off-by: Patrick Gefre <pfg@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/serial/sn_console.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/serial/sn_console.c~26-altix-shut-off-xmit-intr-if-done-xmitting drivers/serial/sn_console.c
--- 25/drivers/serial/sn_console.c~26-altix-shut-off-xmit-intr-if-done-xmitting	2005-05-11 20:02:38.000000000 -0700
+++ 25-akpm/drivers/serial/sn_console.c	2005-05-11 20:02:38.000000000 -0700
@@ -572,6 +572,7 @@ static void sn_transmit_chars(struct sn_
 
 	if (uart_circ_empty(xmit) || uart_tx_stopped(&port->sc_port)) {
 		/* Nothing to do. */
+		ia64_sn_console_intr_disable(SAL_CONSOLE_INTR_XMIT);
 		return;
 	}
 
_
